<? $title = "Current Playlist"; include "head.h"; ?>

<?
	$id = biys_get_current_id();
	$current = biys_get_attributes_for_id($id);
?>

&nbsp;

<table cellspacing=0 cellpadding=0><tr><td align=center><img src="img/biys.png" alt="Be in your Stereo" width=389 height=60>
<table cellspacing=1 cellpadding=0 width="100%" bgcolor="#808090"><tr><td align=center>
<table cellspacing=0 cellpadding=0 width="100%" bgcolor="#ccccdd"><tr><td align=center>

<? if ($id != -1): ?>
<big><big><? echo pretty($current) ?></big></big><Br>
<?
	$trivia = biys_get_trivia_for_id($id);
	$seconds = round($trivia['framecount'] / $trivia['samplerate']);
	$elapsed = biys_get_position() * $seconds;

	$minutes = floor($seconds / 60);
	$seconds = $seconds % 60;
	$eminutes = floor($elapsed / 60);
	$eseconds = $elapsed % 60;
	
	echo 'Time: '.$eminutes.':'.sprintf('%02d', $eseconds).' / '.$minutes.':'.sprintf('%02d', $seconds);
?>
<br>
<a href="previous.php"><img border=0 src="img/prev.png"></a>&nbsp;
<a href="pitchtoggle.php?pitch=-4"><img border=0 src="img/rewind.png"></a>&nbsp;
<a href="pitchtoggle.php?pitch=-1"><img border=0 src="img/back.png"></a>&nbsp;
<a href="pitchtoggle.php?pitch=0"><?
	if (biys_get_pitch() == 0)
		echo '<img border=0 src="img/play.png">';
	else
		echo '<img border=0 src="img/pause.png">';
?></a>&nbsp;
<a href="pitchtoggle.php?pitch=4"><img border=0 src="img/forward.png"></a>&nbsp;
<a href="next.php"><img border=0 src="img/next.png"></a>&nbsp;
<? else: ?>
There is nothing playing.
<? endif ?>

</td></tr></table></td></tr></table>

<? if ($id != -1): ?>
<p>
<table><tr><td width=100 align=right>Volume:</td><td><A href="delta-v.php?percent=-15">&lt;15</a></td>
<td><tt><?
	$markers = 16;
	$volume = biys_get_volume();
	$position = round($volume * $markers/2);

	for ($i=0; $i<=$markers; $i++) {
		echo '<a href="volume.php?pos='.(200/$markers)*$i.'">';
		if ($i == 8) {
			echo '~';
		} elseif ($i == $position) {
			echo '+';
		} else {
			echo '-';
		}
		echo '</a>';
	}
?>
</tt></td><td><A href="delta-v.php?percent=15">15&gt;</a>
<? echo round($volume*100) ?>%
</td></tr><tr><td align=right>Position:</td><td><A href="delta-t.php?time=-30">&lt;30</a></td>
<td><tt><?
	$markers = 16;
	$position = round(biys_get_position() * $markers);
	
	for ($i=0; $i<=$markers; $i++) {
		echo '<a href="position.php?pos='.(100/$markers)*$i.'">';
		if ($i == $position) {
			echo '+';
		} else {
			echo '-';
		}
		echo '</a>';
	}
?></tt></td><td><A href="delta-t.php?time=30">30&gt;</a>
</td></tr></table>
<? endif ?>

<P>
<br clear=left clear=right>

<table cellpadding=1 cellspacing=0 border=0 width="100%"><tr><td bgcolor="#808090" align=center>
<table cellspacing=0 border=0 width="100%"><tr><td bgcolor="#ccccdd" align=center valign=center width="100%">
<big><big>Playlist (<?
	$count = biys_count();
	echo $count.' file';
	if ($count != 1)
		echo 's';
?>)</big></big>
<p>
<a href="clear.php"><img border=0 src="img/clear.png"></a>&nbsp;
<a href="sort.php"><img border=0 src="img/sort.png"></a>&nbsp;
<a href="shuffle.php"><img border=0 src="img/shuffle.png"></a>&nbsp;
<a href="list.php"><img border=0 src="img/add.png"></a>&nbsp;
<a href="random.php?count=50"><img border=0 src="img/50random.png"></a>

</td></tr></table></td></tr></table>
</td></tr></table>

<p>

<?
	$limit = 30;
	
	# figure out where we are in the playlist

	if ($count > 0)
	{
		$current = biys_get_current_index();
	
		# handle scrolling requests and stuff
		if ($start < 0) $start = 0;
		if ($start >= $count) unset($start);
		
		if (isset($start)) {
			$end = $start + $limit * 2;
		} elseif ($count > $limit*2) {
			$start = $current-$limit;
			$end = min($current + $limit, $count);
		} else {
			$start = 0;
			$end = $count;
		}
		
		# then constrain start and end to fit what's available
		if ($start<0) {
			# slide the bottom down if you're past the top of the list
			$end -= $start;
			$start = 0;
		}
		$end = min($end, $count);
	
		if ($start != 0) {
			print '.... '.($start).' more files <b><a href="index.php?start='.($start-$limit*2-1).'">above</a></b> ...<br>';
		}	
		for ($i = $start; $i < $end; $i++) {
			$id = biys_get_id_for_index($i);
			$info = biys_get_attributes_for_id($id);
	
	
			if ($i != 0) { echo '<a href="move.php?id='.$id.'&to='.($i-1).'"><img border=0 src="img/up.png" alt="move up"></a>'; } else { echo '<img src="img/empty.png" width=16 height=14>'; }
			if ($i != $count-1) { echo '<a href="move.php?id='.$id.'&to='.($i+1).'"><img border=0 src="img/down.png" alt="move down"></a>'; } else { echo '<img src="img/empty.png" width=16 height=14>'; }
	
			echo '&nbsp;';

			if ($i == $current) echo "<font color=\"#404053\">";
			echo pretty($info).' &middot; ';
			if ($i == $current) echo "</font>";
	
			echo "<b><a href=\"play.php?id=$id\">play</a> &middot; ";
			echo "<a href=\"remove.php?id=$id\">remove</a> &middot; ";
			echo "<a href=\"edit.php?id=$id\">edit</a> &middot; ";
	
			echo '</b><br>';
		}
		if ($end != $count) {
			print '.... '.($count-$end).' more files <b><a href="index.php?start='.($end-1).'">below</a></b> ...<br>';
		}
	}
?>
</table>



<? include "tail.h"; ?>

